Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.config
Class CIBApplicationConfigurationImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.config.CIBConfigurationImpl
          com.sun.mfwk.cib.sdk.config.CIBApplicationConfigurationImpl

All Implemented Interfaces:
  CIBApplicationConfiguration, CIBConfiguration, CIBProvider

public class CIBApplicationConfigurationImpl
extends CIBConfigurationImpl
implements CIBApplicationConfiguration

Provides a default implementation of an Application configuration provider. This implementation is fully based on the Java-ES MF Instrumentation SDK.

Field Summary
`static java.lang.String` | `configType`

Fields inherited from class com.sun.mfwk.cib.sdk.config.CIBConfigurationImpl
`myConnection, myType`

Constructor Summary
`CIBApplicationConfigurationImpl(javax.management.MBeanServerConnection connection)` Constructor
`CIBApplicationConfigurationImpl(javax.management.MBeanServerConnection connection, java.util.Map map)` Constructor

Method Summary
`java.lang.String` | `getDirectoryDN()` Returns the direcotry DN of the application resource
`java.lang.String` | `getRole()` Returns the Role of application resource
`java.lang.String` | `getUrlDescription()` Returns the url description of the application resource

Methods inherited from class com.sun.mfwk.cib.sdk.config.CIBConfigurationImpl
`destroy, getAttribute, getType, init, start, stop`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.cib.config.CIBConfiguration
`getType`

Methods inherited from interface com.sun.mfwk.cib.providers.CIBProvider
`destroy, init`

Field Detail

### configType

    public static java.lang.String configType

Constructor Detail

### CIBApplicationConfigurationImpl

    public CIBApplicationConfigurationImpl(javax.management.MBeanServerConnection connection,
                                           java.util.Map map)

  Constructor

Parameters:
  `connection` - MBeanServerConnection
  `map` - Map

### CIBApplicationConfigurationImpl

    public CIBApplicationConfigurationImpl(javax.management.MBeanServerConnection connection)
                                    throws javax.management.MalformedObjectNameException

  Constructor

Parameters:
  `connection` - MBeanServerConnection

Method Detail

### getUrlDescription

    public java.lang.String getUrlDescription()
                                       throws CIBIOException,
                                              CIBAttributeNotFoundException

  Returns the url description of the application resource

  Specified by:
    `getUrlDescription` in interface `CIBApplicationConfiguration`
  Returns:
    String
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getRole

    public java.lang.String getRole()
                             throws CIBIOException,
                                    CIBAttributeNotFoundException

  Returns the Role of application resource

  Specified by:
    `getRole` in interface `CIBApplicationConfiguration`
  Returns:
    String
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getDirectoryDN

    public java.lang.String getDirectoryDN()
                                    throws CIBIOException,
                                           CIBAttributeNotFoundException

  Returns the direcotry DN of the application resource

  Specified by:
    `getDirectoryDN` in interface `CIBApplicationConfiguration`
  Returns:
    String
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD